commit:     4a0405746f17dfeca044a624ae8508d6118c84ea
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 21 20:45:41 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jan 21 20:45:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a040574

app-misc/mc: Bump to version 4.8.26

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-misc/mc/Manifest         |   1 +
 app-misc/mc/mc-4.8.26.ebuild | 106 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/app-misc/mc/Manifest b/app-misc/mc/Manifest
index f94aa2c85e2..8b7d87ff2d5 100644
--- a/app-misc/mc/Manifest
+++ b/app-misc/mc/Manifest
@@ -1 +1,2 @@
 DIST mc-4.8.25.tar.xz 2488324 BLAKE2B 
47047c85fbe3ce1c54b9a3477c35fb05d76b3688205bfd13db03844bb9d8b3e74498ef4d6b449cfcf79c0188687accd93602274b7e8c0cbffc5247d433e33272
 SHA512 
51913fd41df18b49498b97ad8e13aa4365cec24ab24169b1abe93209263e4cfea4b52e0faccaf934182c84e8eb5dc49336c885358b4b66c48d38900f890fde5e
+DIST mc-4.8.26.tar.xz 2492612 BLAKE2B 
e13ab99fb7d5a9e2cf1149ad96d763681b0186fbf5c03fc9e349a57a4a6f48b598c9eeed85e4cb94a18c5c5b89d4ee0e21f6d34c8cfd5e21da53551085aa3469
 SHA512 
f2f06915b775ecc94016fe5d5db9301e953cc89ee0708e79ee96e14a9f53142a467b27061ca57f65b40310fa86d4d13e2f2a29a601f8fefa6216fb10f73007be

diff --git a/app-misc/mc/mc-4.8.26.ebuild b/app-misc/mc/mc-4.8.26.ebuild
new file mode 100644
index 00000000000..0739b78af28
--- /dev/null
+++ b/app-misc/mc/mc-4.8.26.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+MY_P=${P/_/-}
+
+DESCRIPTION="GNU Midnight Commander is a text based file manager"
+HOMEPAGE="https://www.midnight-commander.org";
+SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris 
~x86-solaris"
+IUSE="+edit gpm nls samba sftp +slang spell test unicode X +xdg"
+
+REQUIRED_USE="spell? ( edit )"
+
+RDEPEND=">=dev-libs/glib-2.26.0:2
+       gpm? ( sys-libs/gpm )
+       kernel_linux? ( sys-fs/e2fsprogs )
+       samba? ( net-fs/samba )
+       sftp? ( net-libs/libssh2 )
+       slang? ( >=sys-libs/slang-2 )
+       !slang? ( sys-libs/ncurses:0=[unicode?] )
+       spell? ( app-text/aspell )
+       X? ( x11-libs/libX11
+               x11-libs/libICE
+               x11-libs/libXau
+               x11-libs/libXdmcp
+               x11-libs/libSM )"
+DEPEND="${RDEPEND}
+       app-arch/xz-utils
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+       test? ( dev-libs/check )
+       "
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_pretend() {
+       if use slang && use unicode ; then
+               ewarn "\"unicode\" USE flag only takes effect when the 
\"slang\" USE flag is disabled."
+       fi
+}
+
+src_configure() {
+       [[ ${CHOST} == *-solaris* ]] && append-ldflags "-lnsl -lsocket"
+
+       local myeconfargs=(
+               --enable-charset
+               --enable-vfs
+               --with-homedir=$(usex xdg 'XDG' '.mc')
+               --with-screen=$(usex slang 'slang' "ncurses$(usex unicode 'w' 
'')")
+               $(use_enable kernel_linux vfs-undelfs)
+               # Today mclib does not expose any headers and is linked to
+               # single 'mc' binary. Thus there is no advantage of having
+               # a library. Let's avoid shared library altogether
+               # as it also conflicts with sci-libs/mc: bug #685938
+               --disable-mclib
+               $(use_enable nls)
+               $(use_enable samba vfs-smb)
+               $(use_enable sftp vfs-sftp)
+               $(use_enable spell aspell)
+               $(use_enable test tests)
+               $(use_with gpm gpm-mouse)
+               $(use_with X x)
+               $(use_with edit internal-edit)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       # CK_FORK=no to avoid using fork() in check library
+       # as mc mocks fork() itself: bug #644462.
+       #
+       # VERBOSE=1 to make test failures contain detailed
+       # information.
+       CK_FORK=no emake check VERBOSE=1
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       dodoc AUTHORS README NEWS
+
+       # fix bug #334383
+       if use kernel_linux && [[ ${EUID} == 0 ]] ; then
+               fowners root:tty /usr/libexec/mc/cons.saver
+               fperms g+s /usr/libexec/mc/cons.saver
+       fi
+
+       if ! use xdg ; then
+               sed 's@MC_XDG_OPEN="xdg-open"@MC_XDG_OPEN="/bin/false"@' \
+                       -i "${ED}"/usr/libexec/mc/ext.d/*.sh || die
+       fi
+}
+
+pkg_postinst() {
+       elog "To enable exiting to latest working directory,"
+       elog "put this into your ~/.bashrc:"
+       elog ". ${EPREFIX}/usr/libexec/mc/mc.sh"
+}

Reply via email to